STRFRY(3)

NOM
strfry - Créer une anagramme d'une chaîne

SYNOPSIS
#define _GNU_SOURCE
#include <string.h>

char *strfry (char *string);

DESCRIPTION
La fonction strfry() crée une anagramme du contenu de la chaîne string en utilisant la fonction rand(3) pour échanger aléatoirement des caractères.

VALEUR RENVOYÉE
La fonction strfry() renvoie un pointeur sur la chaîne modifiée.

CONFORMITÉ
La fonction strfry() est spécifique à la glibc.

VOIR AUSSI
memfrob(3), feature_test_macros(7)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 9 novembre 1996 et révisée le 10 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 strfry ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.